org.omg.CORBA.portable

## Interface BoxedValueHelper

- All Known Implementing Classes:
    StringValueHelper, WStringValueHelper

      public interface BoxedValueHelper

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `get_id()`
    `Serializable` | `read_value(InputStream is)`
    `void` | `write_value(OutputStream os, Serializable value)`

- - ### Method Detail

    - #### read_value

          Serializable read_value(InputStream is)

    - #### write_value

          void write_value(OutputStream os,
                         Serializable value)

    - #### get_id

          String get_id()

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.